GET /v1/moon-phase/calendar
Lunar calendar for a date range: every New Moon, First Quarter, Full Moon and Last Quarter with exact UTC moments, plus the phase at range start and the next principal phase.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
from*string
Range start (ISO 8601 date, e.g. 2026-01-01)
to*string
Range end (ISO 8601 date). At most 400 days after from.
lang?string
Language code for translation
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/moon-phase/calendar?from=string&to=string"{ "success": true, "data": { "from": "2026-01-01T00:00:00.000Z", "to": "2026-03-31T00:00:00.000Z", "phaseAtStart": { "date": "2026-01-01T00:00:00.000Z", "phase": "Gibbous Moon", "phaseAngle": 146.14751389486395, "illumination": 91.52372615548057, "isWaxing": true, "moonLongitude": 66.7161374768612, "sunLongitude": 280.56862358199726 }, "nextPrincipalPhase": { "phase": "Full Moon", "angle": 180, "date": "2026-01-03T10:02:52.000Z" }, "events": [ { "phase": "Full Moon", "angle": 180, "date": "2026-01-03T10:02:52.000Z" }, { "phase": "Last Quarter", "angle": 270, "date": "2026-01-10T15:48:21.000Z" }, { "phase": "New Moon", "angle": 0, "date": "2026-01-18T19:51:56.000Z" }, { "phase": "First Quarter", "angle": 90, "date": "2026-01-26T04:47:21.000Z" }, { "phase": "Full Moon", "angle": 180, "date": "2026-02-01T22:09:12.000Z" }, { "phase": "Last Quarter", "angle": 270, "date": "2026-02-09T12:43:04.000Z" }, { "phase": "New Moon", "angle": 0, "date": "2026-02-17T12:01:06.000Z" }, { "phase": "First Quarter", "angle": 90, "date": "2026-02-24T12:27:34.000Z" }, { "phase": "Full Moon", "angle": 180, "date": "2026-03-03T11:37:51.000Z" }, { "phase": "Last Quarter", "angle": 270, "date": "2026-03-11T09:38:28.000Z" }, { "phase": "New Moon", "angle": 0, "date": "2026-03-19T01:23:26.000Z" }, { "phase": "First Quarter", "angle": 90, "date": "2026-03-25T19:17:40.000Z" } ] }}